io.vertx.openapi.validation.transformer

## Class FormTransformer

- java.lang.Object
- - io.vertx.openapi.validation.transformer.ParameterTransformer
  - - io.vertx.openapi.validation.transformer.FormTransformer

-     public class FormTransformer
      extends ParameterTransformer

  +--------+---------+--------+------------+------------------------------------+-------------------------+ | style | explode | empty | string | array | object | +--------+---------+--------+------------+------------------------------------+-------------------------+ | form | false | color= | color=blue | color=blue,black,brown | color=R,100,G,200,B,150 | +--------+---------+--------+------------+------------------------------------+-------------------------+ | form | true | color= | color=blue | color=blue&color=black&color=brown | R=100&G=200&B=150 | +--------+---------+--------+------------+------------------------------------+-------------------------+

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormTransformer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String[]` | `getArrayValues(Parameter parameter, String rawValue)`
    `protected String[]` | `getObjectKeysAndValues(Parameter parameter, String rawValue)`

    - ### Methods inherited from class io.vertx.openapi.validation.transformer.ParameterTransformer

      `transform, transformArray, transformObject, transformPrimitive`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FormTransformer

          public FormTransformer()

  - ### Method Detail

    - #### getArrayValues

          protected String[] getArrayValues(Parameter parameter,
                                            String rawValue)

      Specified by:
        `getArrayValues` in class `ParameterTransformer`

    - #### getObjectKeysAndValues

          protected String[] getObjectKeysAndValues(Parameter parameter,
                                                    String rawValue)

      Specified by:
        `getObjectKeysAndValues` in class `ParameterTransformer`

Copyright © 2024 Eclipse. All rights reserved.